Skip to main content
Jump to: navigation, search

Difference between revisions of "Install and run the snapshot build"

(Run it)
(Setup pre-requisites)
Line 13: Line 13:
  
 
== Setup pre-requisites ==
 
== Setup pre-requisites ==
 +
=== Pre-requisites plugins ===
 +
 +
 +
=== Pre-requisites SOA runtime ===
 +
*JAX-WS runtime: [http://people.apache.org/repo/m2-snapshot-repository/org/apache/cxf/cxf-distribution/2.0-incubator-RC-SNAPSHOT/ Apache CXF]
 +
*SCA runtime: [http://people.apache.org/dist/incubator/tuscany/java/sca/1.0-incubator-M2/tuscany-sca-1.0-incubator-M2-bin.zip Apache Tuscany SCA Java]
  
 
== Run it ==
 
== Run it ==

Revision as of 22:10, 8 April 2007

This wiki page is used to explain how to install and use the latest snapshot build. Since the current 0.4.0 S-build (http://www.eclipse.org/stp/downloads/downloads.php) has some major problems, we suggest to use the snapshot build instead.

For user's convenience, i created a all-in-one page to download.

Johnson Ma (Apr 09, 2007)

Where to get stp build

(the latest version is I200703130857)

Setup pre-requisites

Pre-requisites plugins

Pre-requisites SOA runtime

Run it

Tyler Anderson wrote a good article about Use the Eclipse SOA Tools Platform plug-in to build and deploy a Web service

About the update sites

We are still working on those update sites:

  • Eclipse STP update site, coming soon...
  • Apache CXF update site, coming soon...
  • Apache Tuscany update site. ?

All-in-One package

Copyright © Eclipse Foundation, Inc. All Rights Reserved.